me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleSpawnEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleSpawnEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class VehicleSpawnEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleSpawnEvent(StorageVehicle vehicle, SpawnMode spawnMode)` This event is triggered when a vehicle is spawned

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`SpawnMode` `getSpawnMode()`
`StorageVehicle` `getVehicle()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancelled)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleSpawnEvent

    public VehicleSpawnEvent(StorageVehicle vehicle,
                             SpawnMode spawnMode)

This event is triggered when a vehicle is spawned

Parameters:
  `vehicle` - the vehicle that is spawned
  `spawnMode` - the spawn mode of the vehicle

### Method Detail

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getVehicle

    public StorageVehicle getVehicle()

#### getSpawnMode

    public SpawnMode getSpawnMode()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancelled)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`